// import { Accordion } from "./components/accordion.js";
// import { Catalog } from "./components/catalog.js";
// import { lightboxVideo } from "./components/g-lightbox/popup-video.js";
import { HeaderMenu } from "./components/HeaderMenu.js";
import scrollHeader from "./handlers/scrollHeader.js";
// import { initMask } from "./components/imask.js";
// import { waitForYandexApi } from "./components/map.js";
// import { handleClickPartnersButton } from "./components/partners-button.js";
// import { Popover } from "./components/popover.js";
import initLogos from "./components/clients.js";
import { initSliders } from "./components/sliders.js";

function app() {
   new HeaderMenu();
   scrollHeader();
   // console.log("kjj");
   // new Catalog();
   // new Accordion();
   // new Popover();

   initSliders();
   initLogos();

   // lightboxVideo();
   // handleClickPartnersButton();

   // waitForYandexApi();
   // initMask();
}

export { app };
